@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
*,
html,
body {
    box-sizing: border-box;


}

body {
    font-size: 16px;
    color: #FFFFFF;
    position: relative;
    font-family: "Roboto", sans-serif;

}




input,
button,
select,
option,
textarea,
.slick-slide {
    outline: none !important;
}

a {
    transition: 0.3s;
    text-decoration: none !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    padding: 0;
    margin: 0;
}

p {
    line-height: 1.4;
    margin: 0;
}

ul,
li {
    padding: 0;
    margin: 0;
}


.loader{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #595959;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
}
.loader-block{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    animation: rotate 3s infinite;
    position: relative;
}
.loader-block-item{
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #fff;
    position: absolute;
    
}

.loader-block-item:first-child{
    left: calc( 50% - 4px );
    top: -4px;
    animation: loaderPulsTop 1s infinite;
}
.loader-block-item:nth-child(2){
    right: -4px;
    top: calc( 50% - 4px );
    animation: loaderPulsTop 1s infinite;
}
.loader-block-item:nth-child(3){
    left: -4px;
    top: calc( 50% - 4px );
    animation: loaderPulsBottom 1s infinite;
}
.loader-block-item:nth-child(4){
    right: calc( 50% - 4px );
    bottom: -4px;
    animation: loaderPulsBottom 1s infinite;
}

@keyframes rotate{
    to{
        transform: rotate(360deg);
    }
}
@keyframes loaderPulsTop{
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-5px);
    }
    0%{
        transform: translateY(0);
    }
}
@keyframes loaderPulsBottom{
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(5px);
    }
    0%{
        transform: translateY(0);
    }
}



section{
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
}
.container{
    position: relative;
    z-index: 1;
    max-width: 1240px;
}


.section-bg{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}
.section-bg:after{
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: rgba( 0,0,0,0.6 );
}
.section-bg img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.header{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 10;
    transition: 0.3s;
}
.header.menu-open{
    background: rgba( 0,0,0,0.8 );
}
.header-row{
    padding: 32px 0;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #FFFFFF40;
    transition: 0.3s;
}
.header-bars{
    cursor: pointer;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    margin-right: 60px;
    display: none;
}
.header-bars.active{
    opacity: 0.5;
}
.menu{
    display: flex;
    align-items: center;
}
.menu-item{
    display: block;
}
.menu-link{
    padding: 5px 20px;
    font-weight: 500;
    color: #ffffff;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    display: block;
}

.menu-link:hover{
    opacity: 0.5;
}



.header-tell{
    margin-left: auto;
    margin-right: 60px;
}
.header-link{
    color: #ffffff;
    text-transform: uppercase;
    font-weight: 500;
}
.header-btn{
    margin: 0 60px;
}


.pulse-button {
  position: relative;
  width: 40px;
  height: 40px;
  background-color: #FFFFFF26;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  z-index: 2;
}



.pulse-button::before,
.pulse-button::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
  transform: translate(-50%, -50%) scale(1);
  z-index: 1;
  animation: pulse 1.5s infinite;
}
.pulse-button::after {
  animation-delay: 0.75s;
}
@keyframes pulse {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.8;
  }
  100% {
    transform: translate(-50%, -50%) scale(2);
    opacity: 0;
  }
}


.header-block{
    text-align: center;
    width: 114px;
    min-height: 100vh;
    position: absolute;
    left: -114px;
    top: 0;

}
.logo img{
    width: 100%;
}
.header-title{
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    color: #FFFFFF80;
    letter-spacing: 0.5em;
    text-transform: uppercase;
    margin: 0 auto;

}
.header-soc{
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 10px;
}
.header-soc-item{
    display: block;
}
.header-soc-item+.header-soc-item{
    margin-top: 40px;
}

.head{
    padding: 240px 0;
}


.head-title{
    max-width: 80%;
    margin: 0 auto;
    text-align: center;
    font-size: 70px;
    letter-spacing: 0.1em;
    font-weight: 700;
    text-transform: uppercase;
}

.head-slogan{
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-size: 32px;
    margin-top: 40px;
    text-align: right;

}


.header-dots{
    position: absolute;
    right: -40px;
    top: 44vh;
    
}
.header-dots-item{
    width: 25px;
    height: 25px;
    border-radius: 50%;
    border: 1px solid transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.3s;
}
.header-dots-item-object{
    background: #FFFFFF4D;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    transition: 0.3s;
}

.header-dots-item+.header-dots-item{
    margin-top: 4px;
}

.header-dots-item.active{
    border-color: #FFFFFF4D;
}
.header-dots-item.active .header-dots-item-object{
    background: #FFAC30;
}
.header-dots-item:hover{
    border-color: #FFFFFF4D;
}



.repair{
}
.repair-content{
    text-align: center;
}
.title{
    font-weight: 700;
    font-size: 20px;
    letter-spacing: 0.2em;
    margin-bottom: 60px;
    text-transform: uppercase;
    text-align: center;

}
.repair-row{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.repair-row-item{
    padding: 50px 80px;
    width: 33.333%;
}

.repair-row-item:nth-child(2n){
    border-left: 2px solid #FFFFFF40;
    border-right: 2px solid #FFFFFF40;

}

.repair-row-item-title{
    font-size: 64px;
    font-weight: 700;
}
.repair-row-item-text{
    font-size: 24px;
    text-transform: uppercase;
    margin-top: 18px;
}

.repair-link{
    margin: 120px 0 0 120px;
}
.default-link{
    font-weight: 600;
    font-size: 14px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    color: #FFFFFF80 !important;
    letter-spacing: 0.4em;
    
}

.default-link-img{
    margin-left: 10px;
    transition: 0.3s;
}
.default-link:hover .default-link-img{
    transform: translateX(10px);
}


.types{

}

.types-row{
    display: flex;
    align-items: center;
    justify-content: center;
}

.types-row-item{
    width: 33.333%;
    text-align: center;
    transition: 0.3s;


}
.types-row-item:nth-child(2){
    border-left: 1px solid #FFFFFF40;
    border-right: 1px solid #FFFFFF40;
}


.types-block{
    min-height: 50vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #000000A6;
    flex-wrap: wrap;
    transition: 5s;

}
.types-block-title{
    font-size: 36px;
    width: 100%;
    transition: 0.3s;
}
.types-block-text{
    width: 90%;
    display: none;
    animation: show 0.7s;
}
.types-block-link{
    display: none;
    animation: show 0.7s;
}

@keyframes show{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.types-row-item.active{
    background: white;
}
.types-row-item.active .types-block-text, 
.types-row-item.active .types-block-link{
    display: flex;
}


.calculation-row{
    display: flex;
    align-items: center;

}

.calculation-row-input{
    position: relative;
}
.calculation-row-input input{
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: transparent;
    border: 2px solid #FFFFFF66;
    text-align: center;
    font-size: 50px;
    color: #fff;
    padding: 0 10px;
}

.calculation-row-input-object{
    position: absolute;
    right: 0;
    top: 0;
}

.calculation-row-select{
    display: flex;
    align-items: center;
    margin: 0 40px;

}
.calculation-row-select-item{
    font-size: 24px;
    cursor: pointer;
    position: relative;

}
.calculation-row-select-item+.calculation-row-select-item{
    margin-left: 15px;
}

.calculation-row-select-item.active{
    color: #FFAC30;
}

.calculation-row-select-item-object{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    border: 1px solid transparent;
    transition: 0.3s;
}
.calculation-row-select-item-object:after{
    content: "";
    display: block;
    height: 1px;
    width: calc( 100% - 35px );
    position: absolute;
    right: 0;
    bottom: 14px;
    background: #FFFFFF66;
}

.calculation-row-select-item-object-item{
    width: 8px;
    height: 8px;
    background: #fff;
    border-radius: 50%;
    transition: 0.3s;
}

.calculation-row-select-item.active .calculation-row-select-item-object{
    border-color: #FFAC30;
}
.calculation-row-select-item.active .calculation-row-select-item-object:after{
    background: #FFAC30;
}
.calculation-row-select-item.active .calculation-row-select-item-object-item{
    background: #FFAC30;
}


.calculation-row-result{
    font-size: 50px;
    font-weight: 600;
}


.order{

}
.order-form{
    color: #000;
    background: #fff;
    border-radius: 8px;
    max-width: 700px;
    margin: 0 auto;
    padding: 30px 40px;
}
.order-form-row{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.order-form-row+.order-form-row{
    margin-top: 20px;
}
.order-form-row-item{
    width: 48%;
}

.order-form-inner{
    padding: 0;
    margin: 0;
    display: block;
}
.order-form-inner+.order-form-inner{
    margin-top: 20px;
}
.order-form-inner-title{
    font-size: 18px;
    margin-bottom: 5px;
}

.order-form-inner-input input{
    width: 100%;
    height: 40px;
    border: none;
    border-bottom: 1px solid #00000026;

}

.order-form-sub{
    text-align: center;
}
.order-form-sub input{
    background: #FFFFFF26;
    width: 200px;
    height: 40px;
    border: 1px solid #000;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    border-radius: 4px;
    transition: 0.3s;
    color: #000;
    max-width: 100%;
}
.order-form-sub input:hover{
    background: #FFAC30;
    color: #fff;
    border-color: transparent;
}


.steps{

}

.steps-slider-container{
    position: relative;
    max-width: 1000px;
    margin: 0 auto ;
}
.steps-slider-arrow{
    height: 0;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
}
.steps-slider-arrow-item{
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.steps-slider-arrow-left img{
    transform: rotate(180deg);
}
.steps-inner{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 0;
}

.steps-inner-number{
    width: 200px;
    height: 200px;
    border-radius: 50%;
    position: relative;
    border: 1px solid #FFFFFF66;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 64px;
    font-weight: 700;
}

.steps-inner-row{
    display: flex;
    align-items: center;
}


.steps-inner-number-object{
    position: absolute;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #FFFFFF;

}
.steps-inner-number-object:nth-child(2){
    left: 50%;
    transform: translateX(-50%);
    top: -4px;
}
.steps-inner-number-object:nth-child(3){
    left: 50%;
    transform: translateX(-50%);
    bottom: -4px;
}
.steps-inner-number-object:nth-child(4){
    left: -4px;
    transform: translateY(-50%);
    top: 50%;
    background: #FFAC30;
}
.steps-inner-number-object:nth-child(5){
    right: -4px;
    transform: translateY(-50%);
    top: 50%;
    background: #FFAC30;
}

.steps-inner-icon{
    margin: 0 40px;
}

.steps-inner-title{
    font-weight: 600;
    font-size: 32px;
}

.gallery{

}
.gallery-row{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.gallery-row-item{
    width: 33.3333%;
    position: relative;
    border: 1px solid #fff;
}
.gallery-row-item:after{
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    position: absolute;
    left: 0;
    top: 0;
    transition: 0.3s;
}

.gallery-row-item-img img{
    width: 100%;
    height: 240px;
    object-fit: cover;
}

.gallery-row-item-inner{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    font-size: 30px;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    z-index: 1;
    opacity: 0;
    transition: 0.3s;
}

.gallery-row-item:hover .gallery-row-item-inner{
    opacity: 1;
}

.reviews{

}
.reviews-slider-item{
    padding: 50px 2px 0 2px;
}
.reviews-inner{
    background: #000000A6;
    border: 1px solid transparent;
    text-align: center;
    transition: 0.3s;
}
.reviews-inner:hover{
    background: #FFFFFF66;
    .reviews-inner-img img{
        border-radius: 30%;
    }
}
.reviews-inner-img{
    width: 100px;
    height: 100px;
    margin: 0 auto;
    margin-top: -50px;
}
.reviews-inner-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    border: 5px solid #FFAC30;
    transition: 0.3s;
}
.reviews-inner-content{
    padding: 20px;
}
.reviews-inner-title{
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 20px;
}
.reviews-inner-slogan{
    line-height: 1.6;
}
.slick-dots li.slick-active{
    background: #FFAC30;
}
.slick-dots li{
    width: 20px;
    height: 20px;
    background: #000000A6;
    border-radius: 50%;
    transition: 0.3s;
}
.slick-dots li:hover{
    opacity: 0.5;
}
.slick-dots li button:before{
    content: none;
}




.h-modal{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 20;
    padding-top: 10vh;
    display: none;
    padding-left: 40px;
    padding-right: 40px;
}
.h-modal-shadow{
    background: rgba( 0,0,0,0.5 );
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}
.h-modal-content{
    position: relative;
    z-index: 1;
    max-width: 500px;
    margin: 0 auto;
    padding: 40px 20px;
    background: #fff;
    color: #000;
    border-radius: 8px;
    position: relative;
}
.h-modal-content-close{
    position: absolute;
    right: -10px;
    top: -10px;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    cursor: pointer;
    border: 1px solid #FFAC30;
}
.h-modal-content-close img{
    width: 50%;
    height: 50%;
}

.h-modal-title{
    font-size: 24px;
    font-weight: 600;
    text-align: center;
    margin-bottom: 40px;
}

.accept-modal{
    display: none;
}

.accept-modal-icon{
    text-align: center;
    font-size: 90px;
    color: #FFAC30;
}


.tel-modal .order-form-sub{
    margin-top: 20px;
}


.mob-menu{
    position: absolute;
    left: 0;
    top: 100%;
    width: 100%;
    height: 100vh;
    background: rgba( 0,0,0,0.8 );
    display: none;
    z-index: 12;
}
.mob-menu .menu{
    display: block;
}
.mob-menu .menu-item{
    border-bottom: 1px solid #FFFFFF40;
}
.mob-menu .menu-link{
    padding: 20px;
    text-align: center;
}


.up-btn{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background: #FFFFFF26;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 2;
    transition: 0.3s;
    cursor: pointer;
    display: none;
}
.up-btn.active{
    display: flex;
}
.up-btn-icon{
    animation: upbtn 1s infinite;
    transform: translateY(-5px);
    display: flex;
    align-items: center;
    justify-content: center;
}
.up-btn-icon img{
    width: 50%;
    height: 50%;
    transform: rotate(-90deg);
}
@keyframes upbtn{
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-5px);
    }
    100%{
        transform: translateY(0);
    }
}

@media screen and (max-width: 1600px){
    .header-block{
        left: 0;
    }
    .header-row{
        padding-left: 100px;
    }
    section .container{
        padding-left: 100px;
    }
    .header-dots{
        right: 10px;
        top: 140px;
    }
}


@media screen and (max-width: 1200px){
    .menu-link{
        padding: 5px 10px;
        font-size: 14px;
    }
}

@media screen and (max-width: 992px){
    .header-bars{
        display: flex;
    }
    .header-menu{
        display: none;
    }
    .header-title{
        display: none;
    }
    .header-row{
        padding: 33px 0 14px 100px;
    }
    section .container{
        padding: 0 15px;
    }
    .steps-inner-number{
        width: 120px;
        height: 120px;
        font-size: 48px;
    }
    .calculation-row-input input{
        width: 150px;
        height: 150px;
        font-size: 40px;
    }
    .head-logo img{
        max-width: 100%;
        width: 300px;
    }
    .head-title{
        font-size: 40px;
        margin: 20px auto;
    }
    .head-slogan{
        font-size: 24px;

    }
    .head-content{
        text-align: center;
    }
    .head-slogan{
        text-align: center;
        margin-top: 0;
    }
    .repair-row-item-text{
        font-size: 15px;
    }
    .steps-inner-icon img{
        max-width: 50px;
    }
    .steps-inner-title{
        font-size: 24px;
    }
    .default-link{
        position: relative;
        display: inline-block;
    }
    .default-link-img{
        position: absolute;
        right: -20px;
        bottom: -13px;
    }
    .repair-link{
        margin: 40px 0 0 0;
    }
    .types-block-text{
        display: block;
    }


}


@media screen and (max-width: 768px){
    .header-soc{
        display: none;
    }
    .repair-row-item{
        width: 100%;
        padding: 20px 0;
    }
    .repair-row-item:nth-child(2n),
    .types-row-item:nth-child(2){
        border: none;
        border-top: 2px solid #FFFFFF40;
        border-bottom: 2px solid #FFFFFF40;
    }
    .repair-row-item-title{
        font-size: 40px;
    }
    .types-row{
        flex-wrap: wrap;
    }
    .types-row-item{
        width: 100%;
        height: auto;
    }
    .types-block{
        min-height: auto;
        padding: 40px 10px;
    }
    .types-block-text{
        margin: 10px 0 20px 0;
    }
    .types-block-title{
        font-size: 30px;
    }
    .calculation-row{
        flex-wrap: wrap;
        justify-content: center;
    }
    .calculation-row-select{
        width: 100%;
        justify-content: center;
        margin: 40px 0;
    }
    .gallery-row-item-inner{
        padding: 0 10px;
        opacity: 1 !important;
        font-size: 14px;
    }
    .steps-inner{
        flex-wrap: wrap;
        justify-content: center;
    }
    .steps-inner-row{
        width: 100%;
        justify-content: center;
        margin-top: 40px;
    }
    .steps-inner-icon{
        margin-left: 0;
    }
    .header-dots{
        display: none;
    }


}

@media screen and (max-width: 574px){
    .header-block{
        display: none;
    }
    .header-row{
        padding: 20px 0;
    }
    .title{
        margin-bottom: 20px;
    }
    .steps-inner-title{
        font-size: 17px;
        max-width: 170px;
    }
    .types-block{
        padding: 15px 10px;
    }
    .order-form{
        padding: 40px 20px;
    }
    .gallery-row-item{
        width: 50%;
    }
    .gallery-row-item-img img{
        height: 140px;
    }
    .gallery-row-item-inner{
        font-size: 10px;
    }
}
@media screen and (max-width: 400px){
    .order-form{
        padding: 20px 8px;
    }
    .order-form-row-item{
        width: 49%;
    }
    .order-form-inner-input input{
        font-size: 12px;
    }
    .order-form-inner-title{
        font-size: 15px;
    }

}

@media screen and (max-height: 900px){
    .header-title{
        font-size: 11px;
    }
    .header-soc-item+.header-soc-item{
        margin-top: 20px;
    }
}
@media screen and (max-height: 620px){
    .header-title{
        display: none;
    }
    .header.scroll-accept .header-row{
        padding: 5px 0;
    }
    .header.scroll-accept .pulse-button{
        width: 30px;
        height: 30px;
    }
    .header.scroll-accept .header-bars{
        width: 30px;
        height: 30px;
    }
    .repair-row-item{
        padding: 5px 0;
    }
    .types-block-text{
        margin: 5px 10px;
    }
    .header.scroll-accept .pulse-button::before, .pulse-button::after{
        display: none;
    }

}
@media screen and (max-height: 620px){
    .header-title{
        display: none;
    }

}
@media screen and (max-height: 601px){
    .mob-menu .menu-link{
        padding: 8px;
    }
}